#!/bin/sh

#   Copyright (C) 2004 Peter Conrad <conrad@tivano.de>

#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License (version 2) as
#   published by the Free Software Foundation.

#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.

#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

if [ $# != 1 ]; then
    echo "Usage: $0 <dir>" 1>&2
    exit -1
fi

. envdir.sh $*

if ./greylisting-spp >/dev/null 2>&1; then
    echo "The plugin didn't report an expected error!"
    exit -1
fi

exit 0

# Do not change the following line:
# arch-tag: 918a9e04-7ed4-4f8c-8e2b-c987ff550fc7
